Index: /branches/playability/src/world_entities/projectiles/hbolt.cc
===================================================================
--- /branches/playability/src/world_entities/projectiles/hbolt.cc	(revision 10073)
+++ /branches/playability/src/world_entities/projectiles/hbolt.cc	(revision 10074)
@@ -27,6 +27,5 @@
 #include "debug.h"
 
-#include "static_model.h"
-#include "effects/billboard.h"
+// #include "effects/billboard.h"
 
 
@@ -56,16 +55,4 @@
   this->emitter->setEmissionRate(300.0);
   this->emitter->setEmissionVelocity(50.0);
-
-  this->mat = new Material("hBolt_halo");
-  this->mat->setBlendFunc(GL_SRC_ALPHA,GL_ONE_MINUS_SRC_ALPHA);
-  //this->mat->setBlendFunc(GL_SRC_ALPHA,GL_ONE);
-  this->mat->setDiffuse(1,1,1);
-  this->mat->setAmbient(1,1,1);
-  this->mat->setIllum(3);
-  this->mat->setDiffuseMap("hbolt_halo.png");
-//   this->mat->setDiffuseMap("hbolt_halo.png",1);
-//   this->mat->setDiffuseMap("hbolt_halo.png",2);
-//   dynamic_cast<StaticModel*>(this->getModel())->addMaterial(this->mat);
-//   dynamic_cast<StaticModel*>(this->getModel())->finalize();
 
   this->halo = new Billboard();
@@ -188,32 +175,4 @@
                   this->getAbsCoor ().z);
 
-//   glPushMatrix();
-//     glEnable(GL_BLEND);
-//     glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
-//     glShadeModel(GL_FLAT);
-//     glClearColor(0.0, 0.0, 0.0, 0.0);
-// 
-//     glEnable(GL_TEXTURE_2D);
-//     this->mat->select();
-// 
-// //     Vector camera = State::getCamera()->getViewVector();
-// 
-//     glBegin(GL_QUADS); // +X
-//       glTexCoord2f (0.0, 0.0);
-//       glVertex3f( 0.0f, -.7f, -.7f);
-// 
-//       glTexCoord2f (0.0, 1.0);
-//       glVertex3f( 0.0f, -.7f , .7f);
-// 
-//       glTexCoord2f (1.0, 1.0);
-//       glVertex3f( 0.0, .7f , .7f );
-// 
-//       glTexCoord2f (1.0, 0.0);
-//       glVertex3f( 0.0, .7f, -.7f );
-//     glEnd();
-//   glPopMatrix();
-
-//   this->billboard->toggleBillboard();
-
   this->halo->draw();
 
@@ -222,8 +181,8 @@
   glRotatef(this->angle, 0.0, 0.0, 1.0);
 
-//   this->getModel()->draw();
+  this->getModel()->draw();
 
 //   this->mat->select();
-   dynamic_cast<StaticModel*>(this->getModel())->draw();
+/*   dynamic_cast<StaticModel*>(this->getModel())->draw();*/
 //   this->mat->select();
 //   dynamic_cast<StaticModel*>(this->getModel())->draw();
Index: /branches/playability/src/world_entities/projectiles/hbolt.h
===================================================================
--- /branches/playability/src/world_entities/projectiles/hbolt.h	(revision 10073)
+++ /branches/playability/src/world_entities/projectiles/hbolt.h	(revision 10074)
@@ -44,6 +44,4 @@
     ParticleEmitter*                  emitter;
 
-    Material*                         mat;
-
     float                             angle;
     float                             rotationSpeed;
Index: /branches/playability/src/world_entities/projectiles/lbolt.cc
===================================================================
--- /branches/playability/src/world_entities/projectiles/lbolt.cc	(revision 10073)
+++ /branches/playability/src/world_entities/projectiles/lbolt.cc	(revision 10074)
@@ -29,6 +29,4 @@
 #include "debug.h"
 
-#include "static_model.h"
-
 
 #include "class_id_DEPRECATED.h"
@@ -58,17 +56,6 @@
   this->rotationSpeed = 130;
 
-  this->mat = new Material("lBolt");
-  this->mat->setBlendFunc(GL_SRC_ALPHA,GL_ONE_MINUS_SRC_ALPHA);
-  //this->mat->setBlendFunc(GL_SRC_ALPHA,GL_ONE);
-  this->mat->setDiffuse(1,1,1);
-  this->mat->setIllum(3);
-  this->mat->setDiffuseMap("maps/lbolt2.png");
-  this->mat->setDiffuseMap("maps/lbolt2.png",1);
-  dynamic_cast<StaticModel*>(this->getModel())->addMaterial(this->mat);
-  dynamic_cast<StaticModel*>(this->getModel())->finalize();
-  this->mat->select();
-
   this->halo = new Billboard();
-  this->halo->setSize(.5, .5);
+  this->halo->setSize(.35, .35);
   this->halo->setTexture("hbolt_halo.png");
 }
@@ -181,10 +168,4 @@
   this->halo->draw();
 
-//   this->mat->select();
-//   dynamic_cast<StaticModel*>(this->getModel())->draw();
-//   this->mat->select();
-//   dynamic_cast<StaticModel*>(this->getModel())->draw();
-//   this->mat->unselect();
-//   this->mat->unselect();
   glPopMatrix();
 
Index: /branches/playability/src/world_entities/projectiles/lbolt.h
===================================================================
--- /branches/playability/src/world_entities/projectiles/lbolt.h	(revision 10073)
+++ /branches/playability/src/world_entities/projectiles/lbolt.h	(revision 10074)
@@ -45,6 +45,4 @@
     float                             rotationSpeed;
 
-    Material*                         mat;
-
     Billboard*                        halo;
 
